Bug 1419138 - FTBFS for tcsh
Summary: FTBFS for tcsh
Keywords:
Status: CLOSED DUPLICATE of bug 1424082
Alias: None
Product: Fedora
Classification: Fedora
Component: tcsh
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Kaspar [Dee'Kej]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 16:51 UTC by Jakub Jelinek
Modified: 2017-02-28 18:47 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-28 18:47:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Jakub Jelinek 2017-02-03 16:51:09 UTC
tcsh-6.20.00-3.fc26 FTBS, found during the test gcc7 mass rebuild, but it fails also with gcc6.
--- tcsh-6.20.00/tests/lexical.at.jj	2016-05-27 14:10:15.000000000 -0400
+++ tcsh-6.20.00/tests/lexical.at	2017-02-03 10:59:00.291737399 -0500
@@ -567,10 +567,10 @@ run=3
 ]])
 AT_DATA([uniformity_test.csh],
 [[
-set SERVICE_NAME_LOG = `cat batchsystem.properties | grep '^jdbc_url' | sed -ne 's/^[^=]*=[^@]*@[:blank:]*\([^$]*\)$/\1/p' | perl -pe 's/\s//g'  |  perl -pe 's/\)/\\\)/g' | perl -pe 's/\(/\\\(/g'`
+set SERVICE_NAME_LOG = `cat batchsystem.properties | grep '^jdbc_url' | sed -ne 's/^[^=]*=[^@]*@[[:blank:]]*\([^$]*\)$/\1/p' | perl -pe 's/\s//g'  |  perl -pe 's/\)/\\\)/g' | perl -pe 's/\(/\\\(/g'`
 echo -n "$SERVICE_NAME_LOG" > ./output1
 
-cat batchsystem.properties | grep '^jdbc_url' | sed -ne 's/^[^=]*=[^@]*@[:blank:]*\([^$]*\)$/\1/p' | perl -pe 's/\s//g'  |  perl -pe 's/\)/\\\)/g' | perl -pe 's/\(/\\\(/g' > ./output2
+cat batchsystem.properties | grep '^jdbc_url' | sed -ne 's/^[^=]*=[^@]*@[[:blank:]]*\([^$]*\)$/\1/p' | perl -pe 's/\s//g'  |  perl -pe 's/\)/\\\)/g' | perl -pe 's/\(/\\\(/g' > ./output2
 
 diff -uprN ./output1 ./output2 >& /dev/null
 
@@ -587,7 +587,7 @@ AT_DATA([quoting_result_test.csh],
 echo "(DESCRIPTION=(ADDRESS=(PROTOCOL=TCP\)(HOST=db\)(PORT=1521\)\)(CONNECT_DATA=(SERVER=DEDICATED\)(SERVICE_NAME=bns03\)\)\)" > ./expected_result
 
 set string = "jdbc_url=jdbc:oracle:thin:@(DESCRIPTION=(ADDRESS=(PROTOCOL=TCP)(HOST=db)(PORT=1521))(CONNECT_DATA=(SERVER=DEDICATED)(SERVICE_NAME=bns03)))"
-set SERVICE_NAME_LOG  = `echo "$string" | grep '^jdbc_url' | sed -ne 's/^[^=]*=[^@]*@[:blank:]*\([^$]*\)$/\1/p' | perl -pe 's/\)/\\\)/g'`
+set SERVICE_NAME_LOG  = `echo "$string" | grep '^jdbc_url' | sed -ne 's/^[^=]*=[^@]*@[[:blank:]]*\([^$]*\)$/\1/p' | perl -pe 's/\)/\\\)/g'`
 
 echo "$SERVICE_NAME_LOG" > ./actual_result
 

should fix this, otherwise sed complains that [:blank:] is not valid and [[:blank:]] should be used instead.

Comment 1 Fedora End Of Life 2017-02-28 11:10:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 David Kaspar [Dee'Kej] 2017-02-28 18:47:03 UTC

*** This bug has been marked as a duplicate of bug 1424082 ***


Note You need to log in before you can comment on or make changes to this bug.